package com.njcn.gather.steady.checksquare.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.gather.steady.checksquare.pojo.param.SteadyChecksquareHistoryQueryParam;
import com.njcn.gather.steady.checksquare.pojo.param.SteadyChecksquareQueryParam;
import com.njcn.gather.steady.checksquare.pojo.vo.SteadyChecksquareItemDetailVO;
import com.njcn.gather.steady.checksquare.pojo.vo.SteadyChecksquareQueryVO;
import com.njcn.gather.steady.checksquare.pojo.vo.SteadyChecksquareTaskVO;

import java.util.List;

/**
 * 数据校验服务。
 */
public interface SteadyChecksquareService {

    Page<SteadyChecksquareTaskVO> query(SteadyChecksquareHistoryQueryParam param);

    SteadyChecksquareTaskVO create(SteadyChecksquareQueryParam param);

    SteadyChecksquareTaskVO restart(String taskId);

    boolean delete(List<String> taskIds);

    SteadyChecksquareQueryVO detail(String taskId);

    SteadyChecksquareItemDetailVO itemDetail(String itemId, String detailType, String statType);

    SteadyChecksquareItemDetailVO itemDetail(String itemId, String detailType, String statType,
                                             Integer pageNum, Integer pageSize);
}
